Skip to main content
`Ctrl`+`K`

# common_dtype

astropy.utils.metadata.common_dtype(arrs)

  Use numpy to find the common dtype for a list of ndarrays.

  Only allow arrays within the following fundamental numpy data types: `np.bool_`, `np.object_`, `np.number`, `np.character`, `np.void`

  Parameters:
    arrs `python:list` of `ndarray`

      Arrays for which to find the common dtype

  Returns:
    dtype_str `python:str`

      String representation of dytpe (dtype `str` attribute)